<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Page Title</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="./css/main.css">
</head>
<body>
  <div id="modal-wrapper">
    <div class="modal">
      <header class="modal__header">
        <h1 class="modal__heading">
          Welcome to teh w0rmh0le game!
        </h1>
        <span class="modal__sub-heading">
          Tell us who you are.
        </span>
      </header>

      <div class="modal-form">
        <div>
          <label for="username">Username</label>
          <input type="text" name="username" id="username" autofocus>
        </div>
        <div>
          <label for="timestamps">Show timestamps in chat?</label>
          <input type="checkbox" name="timestamps" id="timestamps">
        </div>

        <div class="character-select">
          <ul>
            <li>
              <input
                style="display: none"
                type="radio"
                name="character"
                value="blue"
                id="character-blue"
              >
              <label for="character-blue">
                <div class="crop-character-image">
                  <img
                    class="character-image"
                    src="./assets/wormveloper-blue.png"
                    alt="character-blue"
                  >
                </div>
                <!-- /crop-character-image -->
              </label>
            </li>
            <!-- /blue-chracter -->

            <li>
              <input
                style="display: none"
                type="radio"
                name="character"
                value="green"
                id="character-green"
              >
              <label for="character-green">
                <div class="crop-character-image">
                  <img
                    class="character-image"
                    src="./assets/wormveloper-green.png"
                    alt="character-green"
                  >
                </div>
                <!-- /crop-character-image -->
              </label>
            </li>
            <!-- /character-green -->

            <li>
              <input
                style="display: none"
                type="radio"
                name="character"
                value="orange"
                id="character-orange"
              >
              <label for="character-orange">
                <div class="crop-character-image">
                  <img
                    class="character-image"
                    src="./assets/wormveloper-orange.png"
                    alt="character-orange"
                  >
                </div>
                <!-- /crop-character-image -->
              </label>
            </li>
            <!-- /character-orange -->

            <li>
              <input
                style="display: none"
                type="radio"
                name="character"
                value="pink"
                id="character-pink"
              >
              <label for="character-pink">
                <div class="crop-character-image">
                  <img
                    class="character-image"
                    src="./assets/wormveloper-pink.png"
                    alt="character-pink"
                  >
                </div>
                <!-- /crop-character-image -->
              </label>
            </li>
            <!-- /character-pink -->
          </ul>
        </div>

        <button id="modal-submit">Ready!</button>
      </div>
      <!-- /modal-form -->
    </div>
    <!-- /modal -->
  </div>
  <!-- /modal-wrapper -->
  <div
    id="chat-wrapper"
    class="chat-wrapper--closed"
  >

    <div id="chat-container">
      <ul id="chat-messages"></ul>
    </div>

    <input
      type="text"
      name="chat-input"
      id="chat-input"
      autofocus
    >

    <button id="chat-submit">Send</button>
  </div>
  <!-- /chat-wrapper -->
</body>
</html>
